package Logica;

import java.io.Serializable;
import java.time.LocalDate;

public class Transaccion implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7544113192927092049L;
	private String nombre;
	private float dinero;
	private boolean visible;
	private LocalDate dia;
	private Gestion gestion;
	
	public Transaccion(String nombre, float dinero, LocalDate dia, Gestion gestion){
		this.nombre = nombre;
		this.dinero = dinero;
		this.visible = true;
		this.dia = dia;
		this.gestion=gestion;
	}
	
	public String toString() {
		return this.nombre + " " + this.dinero;
	}
	
	public boolean getVisivilidad() {
		return this.visible;
	}
	
	public boolean alterarVisivilidad() {
		this.visible =! this.visible;
		return this.visible;
	}
	
	public float getDinero() {
		return this.dinero;
	}
	
	public LocalDate getDia() {
		return this.dia;
	}
	
	public void aniadirse() {
		this.gestion.aniadirGasto(this);
	}
	
	public Gestion getGestion() {
		return this.gestion;
	}
}
